<HdlConfig Constraints="e31x_mimo_xcvr_mode_6_cmos">
  <device name="ad5662"                    card="e31x_mimo_xcvr"/>
  <device name="e31x_mimo_xcvr_filter"     card="e31x_mimo_xcvr"/>

  <!-- comm buses (e.g. I2C/SPI) -->
  <device name="ad9361_spi"  card="e31x_mimo_xcvr">
    <property name="CP_CLK_FREQ_HZ_p" value="100e6"/> <!-- we MUST provide to this worker the e31x's control plane clock freq value -->
  </device>
  <device name="ad9361_data_sub" card="e31x_mimo_xcvr">
    <property name="lvds_p" value="false"/>
    <property name="half_duplex_p" value="false"/>
    <property name="single_port_p" value="false"/>
    <property name="swap_ports_p" value="true"/>
    <property name="DATA_CLK_Delay" value="11"/>
    <property name="RX_Data_Delay" value="0"/>
    <property name="FB_CLK_Delay" value="12"/>
    <property name="TX_Data_Delay" value="0"/>
  </device>
  <device name="ad9361_config" card="e31x_mimo_xcvr"/>
  <device name="ad9361_adc_sub" card="e31x_mimo_xcvr">
    <property name="lvds_p" value="false"/>
    <property name="half_duplex_p" value="false"/>
    <property name="single_port_p" value="false"/>
  </device>
  <device name="ad9361_dac_sub" card="e31x_mimo_xcvr">
    <property name="lvds_p" value="false"/>
    <property name="half_duplex_p" value="false"/>
    <property name="single_port_p" value="false"/>
  </device>
  <device name="ad9361_adc0" card="e31x_mimo_xcvr"/>
  <device name="ad9361_adc1" card="e31x_mimo_xcvr"/>
  <device name="ad9361_dac0" card="e31x_mimo_xcvr"/>
  <device name="ad9361_dac1" card="e31x_mimo_xcvr"/>
</HdlConfig>
